%global bundle org.apache.felix.framework

Name:           felix-framework
Version:        4.2.1
Release:        %mkrel 3
Summary:        Apache Felix Framework
Group:          Development/Java
License:        ASL 2.0
URL:            http://felix.apache.org
Source0:        http://www.apache.org/dist/felix/%{bundle}-%{version}-source-release.tar.gz

BuildArch:      noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core
BuildRequires: maven-local
BuildRequires: maven-surefire-provider-junit4
BuildRequires: mockito
BuildRequires: mvn(org.apache.maven.shared:maven-plugin-testing-harness)

Requires: java >= 1:1.6.0

%description
Apache Felix Framework Interfaces and Classes.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

# This test needs porting to easymock3
rm src/test/java/org/apache/felix/framework/ServiceRegistryTest.java

%mvn_file :%{bundle} "felix/%{bundle}"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Jan 07 2014 dmorgan <dmorgan> 4.2.1-3.mga4
+ Revision: 565463
- Fix BuildRequires

* Tue Oct 22 2013 umeabot <umeabot> 4.2.1-2.mga4
+ Revision: 544837
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 dmorgan <dmorgan> 4.2.1-1.mga4
+ Revision: 500358
- New version

* Fri Jan 11 2013 umeabot <umeabot> 4.0.2-3.mga3
+ Revision: 350114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 03 2012 tavvva <tavvva> 4.0.2-2.mga3
+ Revision: 266850
- trying to debug with -X
- making xpp3 mandatory
- Building with xpp3 dependency

  + dmorgan <dmorgan>
    - New version 4.0.2

* Thu Apr 28 2011 dmorgan <dmorgan> 2.0.5-6.mga1
+ Revision: 92436
- Rebuild after bootstrapping
- imported package felix-framework


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Dec 12 2010 Mat Booth <fedora@matbooth.co.uk> - 2.0.5-4
- Fix pom filename (Resolves rhbz#655798)
- Fix various packaging things according to new guidelines

* Tue Jul 13 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-3
- BR: maven-invoker-plugin required for maven-javadoc-plugin
- Use new names of the maven plgins
- Add license file to independent subpackage javadoc

* Tue Jul 13 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-2
- Use maven instead of ant

* Tue Jun 22 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 2.0.5-1
- Release 2.0.5
